[arch-commits] CVS update of extra/network/martian (PKGBUILD martian.install)

Tobias Powalowski tpowa at archlinux.org
Sat Jun 2 14:48:26 UTC 2007


    Date: Saturday, June 2, 2007 @ 10:48:26
  Author: tpowa
    Path: /home/cvs-extra/extra/network/martian

   Added: PKGBUILD (1.1) martian.install (1.1)

'newpkg: replace ltmodem with free driver'


-----------------+
 PKGBUILD        |   35 +++++++++++++++++++++++++++++++++++
 martian.install |   29 +++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)


Index: extra/network/martian/PKGBUILD
diff -u /dev/null extra/network/martian/PKGBUILD:1.1
--- /dev/null	Sat Jun  2 10:48:26 2007
+++ extra/network/martian/PKGBUILD	Sat Jun  2 10:48:25 2007
@@ -0,0 +1,35 @@
+# $Id: PKGBUILD,v 1.1 2007/06/02 14:48:25 tpowa Exp $
+# Maintainer:
+# Contributor: Steve Vialle <steve_v at orcon.net.nz>
+
+pkgname=martian
+pkgver=20061203
+pkgrel=1
+license=("GPL" "custom:Agere Systems license")
+arch=('i686')
+_kernver=2.6.21-ARCH
+pkgdesc="Alternative drivers for the Mars chipset Lucent LT Winmodem (PCI). For beyond 2.6 kernel" 
+url="http://martian.barrelsoutofbond.org/"
+install=martian.install 
+source=(http://www.barrelsoutofbond.org/downloads/martian/martian-full-${pkgver}.tar.gz martian.rc.d) 
+depends=('kernel26' 'glibc' 'martian-utils')
+options=('NOSTRIP')
+replaces=('ltmodem')
+
+build() { 
+
+#Build
+  cd $startdir/src/martian && make KERNEL_DIR=/usr/src/linux-${_kernver} all || return 1 
+
+#Install kernel modules
+  install -D -m 644 $startdir/src/martian/kmodule/martian_dev.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/net/martian_dev.ko
+
+#install helper app
+#  install -D -m 755 $startdir/src/martian/helper/martian_helper $startdir/pkg/usr/sbin/martian_helper
+
+#Install rc script
+#  install -D -m 755 $startdir/src/martian.rc.d $startdir/pkg/etc/rc.d/martian
+#
+#  sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/martian.install
+}  
+
Index: extra/network/martian/martian.install
diff -u /dev/null extra/network/martian/martian.install:1.1
--- /dev/null	Sat Jun  2 10:48:26 2007
+++ extra/network/martian/martian.install	Sat Jun  2 10:48:26 2007
@@ -0,0 +1,29 @@
+# arg 1:  the new package version
+post_install() {
+  # updating module dependencies
+  echo ">>> Updating module dependencies. Please wait ..."
+  KERNEL_VERSION=2.6.17-beyond
+  depmod -A -v $KERNEL_VERSION > /dev/null 2>&1
+}
+echo
+echo
+echo "==> NOTICE:"
+echo "==> To load driver at startup, add 'martian_dev' to the MODULES array "
+echo "==> and 'martian' to the DAEMONS array in /etc/rc.conf"
+
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  post_install $1
+  # updating module dependencies
+  echo ">>> Updating module dependencies. Please wait ..."
+  KERNEL_VERSION=2.6.17-beyond
+  depmod -A -v $KERNEL_VERSION > /dev/null 2>&1
+}
+op=$1
+shift
+$op $* 
\ No newline at end of file




More information about the arch-commits mailing list